Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1514119

Summary: Package review: python-rsdclient - OpenStack client plugin for Rack Scale Design
Product: [Fedora] Fedora Reporter: Nate Potter <nathaniel.potter>
Component: Package ReviewAssignee: Alfredo Moralejo <amoralej>
Status: CLOSED RAWHIDE QA Contact: hguemar
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: amoralej, apevec, lin.a.yang, package-review
Target Milestone: ---Flags: amoralej: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-rsdclient-0.1.1-1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-12 15:25:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1486366, 1466874    

Description Nate Potter 2017-11-16 16:52:48 UTC
python-rsdclient is a CLI plugin usable by the OpenStack client for communicating with Intel Rack Scale Design enabled hardware using the rsd-lib python library. It needs to be added to RDO to enable communication with RSD hardware in a Red Hat environment.

The project can be found on GitHub here: https://github.com/openstack/python-rsdclient

Comment 1 Nate Potter 2017-11-16 16:57:05 UTC
rdo.yml updated here https://review.rdoproject.org/r/#/c/10491/

Comment 2 Alfredo Moralejo 2017-11-16 17:49:37 UTC
According to setup.cfg rsclient is providing a osc plugin which means it's "client side", is this correct?

Note that we include all OpenStack clients in Fedora in addition to RDO, so i'm changing the Product to Fedora. We'll add this package to OpenStack SIG in Fedora.

Comment 3 Alfredo Moralejo 2017-11-16 18:01:24 UTC
$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./rsdclient/common/base.py: Apache (v2.0)
./rsdclient/common/command.py: Apache (v2.0)
./rsdclient/common/utils.py: Apache (v2.0)
./rsdclient/osc/plugin.py: Apache (v2.0)
./rsdclient/tests/base.py: Apache (v2.0)
./rsdclient/v1/client.py: Apache (v2.0)
./rsdclient/v1/fabric.py: Apache (v2.0)
./rsdclient/v1/node.py: Apache (v2.0)
./rsdclient/v1/storage_service.py: Apache (v2.0)
./doc/source/cli/index.rst: *No copyright* UNKNOWN
./doc/source/cli/osc_plugin_cli.rst: *No copyright* UNKNOWN
./doc/source/contributor/contributing.rst: *No copyright* UNKNOWN
./doc/source/contributor/index.rst: *No copyright* UNKNOWN
./doc/source/install/index.rst: *No copyright* UNKNOWN
./doc/source/reference/index.rst: *No copyright* UNKNOWN
./doc/source/user/index.rst: *No copyright* UNKNOWN
./rsdclient/osc/v1/fabric.py: Apache (v2.0)
./rsdclient/osc/v1/node.py: Apache (v2.0)
./rsdclient/osc/v1/storage_service.py: Apache (v2.0)
./rsdclient/tests/common/fakes.py: Apache (v2.0)
./rsdclient/tests/common/test_command.py: Apache (v2.0)
./rsdclient/tests/common/test_utils.py: Apache (v2.0)
./rsdclient/tests/v1/test_client.py: Apache (v2.0)
./rsdclient/tests/v1/test_fabric.py: Apache (v2.0)
./rsdclient/tests/v1/test_node.py: Apache (v2.0)
./rsdclient/tests/v1/test_storage_service.py: Apache (v2.0)


License is valid: Apache v2.0

Comment 4 Lin Yang 2017-12-22 19:38:33 UTC
@Alfredo Current the tests failed because of missing python-rsd-lib package, now the rsd-lib rdo project has been merged. Any suggestion about how to fix this failure? Thanks in advance.

Comment 5 Lin Yang 2018-01-02 21:21:03 UTC
@Alfredo It passed all unit tests right now. Could you please help to review it when you get chance? Thanks.

Comment 6 Alfredo Moralejo 2018-01-09 08:49:30 UTC
Could you create a spec and srpm for releases 0.1.1 based on the approved version in https://review.rdoproject.org/r/#/c/10620 and upload to some public location to do the official review?

Comment 7 Alan Pevec 2018-01-09 09:37:50 UTC
Let's try with spec and srpm from the review.rdo?

Spec URL: https://review.rdoproject.org/r/gitweb?p=openstack/rsdclient-distgit.git;a=blob_plain;f=python-rsdclient.spec;hb=313305ed805ddaddd7d8da39ec3f0495c75fb423

SRPM URL: https://logs.rdoproject.org/20/10620/15/gate/DLRN-rpmbuild/Z7e0a7a43468047f59a31c27a87363a74/centos/current/python-rsdclient-0.1.1-0.20180106004216.f02d3fc.el7.centos.src.rpm

Description:
This is a client for the RSD Pod Manager API, which is based on OpenStack
client framework. It provides a Python API (rsdclient/v1 module) and a RSD
specific plugin for OpenStack client (rsdclient/osc).

Comment 8 Alan Pevec 2018-01-09 09:40:55 UTC
nm, it does not work, also Spec has dlrn-ish Version/Release XXX (we could set that to the actual versions in the initial RDO reviews, DLRN ignores them anyway...)

Comment 9 Alfredo Moralejo 2018-01-09 12:27:40 UTC
As this is for Fedora i think we need proper spec and srpm for last release as we ded of rsd-lib package.

Comment 11 Alfredo Moralejo 2018-01-09 18:05:29 UTC
Fedora review output:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 36 files have unknown
     license. Detailed output of licensecheck in /tmp/1514119-python-
     rsdclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-rsdclient , python2-rsdclient-tests , python3-rsdclient ,
     python3-rsdclient-tests , python-rsdclient-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-rsdclient-0.1.1-1.fc28.noarch.rpm
          python2-rsdclient-tests-0.1.1-1.fc28.noarch.rpm
          python3-rsdclient-0.1.1-1.fc28.noarch.rpm
          python3-rsdclient-tests-0.1.1-1.fc28.noarch.rpm
          python-rsdclient-doc-0.1.1-1.fc28.noarch.rpm
          python-rsdclient-0.1.1-1.fc28.src.rpm
python2-rsdclient-tests.noarch: W: summary-not-capitalized C python-rsdclient tests
python2-rsdclient-tests.noarch: W: no-documentation
python3-rsdclient.noarch: W: summary-not-capitalized C python-rsdclient tests
python3-rsdclient-tests.noarch: W: summary-not-capitalized C python-rsdclient tests
python3-rsdclient-tests.noarch: W: no-documentation
python-rsdclient-doc.noarch: W: summary-not-capitalized C python-rsdclient documentation
python-rsdclient-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-rsdclient-doc/html/.buildinfo
python-rsdclient-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-rsdclient-doc/html/objects.inv
python-rsdclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-rsdclient-doc/html/objects.inv
python-rsdclient.src: W: spelling-error %description -l en_US osc -> soc, cos, Oscar
6 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
python3-rsdclient.noarch: W: summary-not-capitalized C python-rsdclient tests
python3-rsdclient.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/python-rsdclient <urlopen error [Errno -2] Name or service not known>
python2-rsdclient-tests.noarch: W: summary-not-capitalized C python-rsdclient tests
python2-rsdclient-tests.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/python-rsdclient <urlopen error [Errno -2] Name or service not known>
python2-rsdclient-tests.noarch: W: no-documentation
python2-rsdclient.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/python-rsdclient <urlopen error [Errno -2] Name or service not known>
python-rsdclient-doc.noarch: W: summary-not-capitalized C python-rsdclient documentation
python-rsdclient-doc.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/python-rsdclient <urlopen error [Errno -2] Name or service not known>
python-rsdclient-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-rsdclient-doc/html/.buildinfo
python-rsdclient-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-rsdclient-doc/html/objects.inv
python-rsdclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-rsdclient-doc/html/objects.inv
python3-rsdclient-tests.noarch: W: summary-not-capitalized C python-rsdclient tests
python3-rsdclient-tests.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/python-rsdclient <urlopen error [Errno -2] Name or service not known>
python3-rsdclient-tests.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 14 warnings.



Requires
--------
python3-rsdclient (rpmlib, GLIBC filtered):
    python(abi)
    python3-cliff
    python3-osc-lib
    python3-pbr
    python3-rsd-lib
    python3-setuptools

python2-rsdclient-tests (rpmlib, GLIBC filtered):
    python(abi)
    python2-rsdclient

python2-rsdclient (rpmlib, GLIBC filtered):
    python(abi)
    python-cliff
    python-osc-lib
    python-rsd-lib
    python-setuptools
    python2-pbr

python-rsdclient-doc (rpmlib, GLIBC filtered):

python3-rsdclient-tests (rpmlib, GLIBC filtered):
    python(abi)
    python3-rsdclient



Provides
--------
python3-rsdclient:
    python3-rsdclient
    python3.6dist(python-rsdclient)
    python3dist(python-rsdclient)

python2-rsdclient-tests:
    python2-rsdclient-tests

python2-rsdclient:
    python-rsdclient
    python2-rsdclient
    python2.7dist(python-rsdclient)
    python2dist(python-rsdclient)

python-rsdclient-doc:
    python-rsdclient-doc

python3-rsdclient-tests:
    python3-rsdclient-tests



Source checksums
----------------
http://tarballs.openstack.org/python-rsdclient/python-rsdclient-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : fe03288c68270a38b74c049d4e1fd99b47ca8b3d71d8f14e7fa22687b89c1e5c
  CHECKSUM(SHA256) upstream package : fe03288c68270a38b74c049d4e1fd99b47ca8b3d71d8f14e7fa22687b89c1e5c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1514119
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some improvements can be done as follow up:

- Run unit tests in %check section is recomended
- Fix doc builds leftovers, it should be:

rm -rf doc/build/html/.{doctrees,buildinfo}

Other than that, it looks ok to me.

Package is APPROVED.

Comment 12 Alfredo Moralejo 2018-01-09 18:09:51 UTC
New package has been requested in pagure - https://pagure.io/releng/fedora-scm-requests/issue/3861

Comment 13 Lin Yang 2018-01-09 18:46:42 UTC
@Alfredo, thanks a lot for approving this package. I noticed you have already created SPEC and SRPM for it, so I don't need to do it again, right?

Comment 14 Alfredo Moralejo 2018-01-09 18:57:00 UTC
(In reply to Lin Yang from comment #13)
> @Alfredo, thanks a lot for approving this package. I noticed you have
> already created SPEC and SRPM for it, so I don't need to do it again, right?

Correct, it's done.

Comment 15 Lin Yang 2018-01-09 19:02:37 UTC
(In reply to Alfredo Moralejo from comment #14)

> Correct, it's done.

Thank you so much for it again.

Comment 16 Gwyn Ciesla 2018-01-09 19:09:32 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-rsdclient

Comment 17 Alfredo Moralejo 2018-01-10 19:45:34 UTC
Initial import done in https://koji.fedoraproject.org/koji/buildinfo?buildID=1015580

Waiting for it to be published in rawhide repo.

Comment 18 Alfredo Moralejo 2018-01-12 15:25:10 UTC
Packages is pushed to rawhide repo.